###Spawning
execute as @s[type=enderman,predicate=mobtweaks:skylight] at @s if dimension overworld unless biome ~ ~ ~ #mobtweaks:no_rain if predicate mobtweaks:weather/rain run function mobtweaks:spawn/mob/enderman
tag @s[type=#mobtweaks:spawn/misc,tag=!mobtweaks.used,predicate=!mobtweaks:spawn/misc] add mobtweaks.used
execute at @s[type=#mobtweaks:spawn/misc] as @s run function mobtweaks:spawn/hub
execute at @s[type=#mobtweaks:spawn/raid,nbt=!{Wave:0}] as @s run function mobtweaks:spawn/hub

###Allay
execute as @s[type=allay] at @s run function mobtweaks:behavior/allay/1s

###Rabbit
execute as @s[type=rabbit,nbt=!{RabbitType:99}] at @s if entity @n[type=lightning_bolt,distance=..6] run data modify entity @s RabbitType set value 99

###Gear
execute as @s[type=zombified_piglin] on passengers run execute as @s[type=block_display,tag=mobtweaks.piglin] at @s run tag @n[type=zombified_piglin,tag=!mobtweaks.geared] add mobtweaks.geared
execute as @s[type=zombified_piglin] on passengers run kill @s[type=block_display,tag=mobtweaks.piglin]

execute as @s[type=#mobtweaks:gear/spawn,tag=!mobtweaks.geared,tag=!mobtweaks.baby] run function mobtweaks:gear/spawn

###Attribute changes
execute as @s[type=#mobtweaks:attribute,tag=!mobtweaks.attribute] run function mobtweaks:attribute/main

##Babies
execute as @s[type=#mobtweaks:non_passive_babies,tag=!moremobs.zp,tag=!mobtweaks.used.baby] at @s run function mobtweaks:behavior/non_passive_babies
tag @s[type=zombified_piglin,predicate=!moremobs:name/scooper,predicate=mobtweaks:state/is_baby,tag=mobtweaks.used.baby,nbt={Health:20.0f}] remove mobtweaks.used.baby

##Villager
execute as @s[type=villager,predicate=!mobtweaks:state/is_baby,predicate=mobtweaks:diamond_villager,tag=!mobtweaks.used] run function mobtweaks:behavior/villager/main

###Breedable
execute at @s[type=#mobtweaks:breedable/main,nbt=!{InLove:0,Age:0},predicate=!mobtweaks:state/is_baby] if entity @p[distance=..30] run function mobtweaks:behavior/breedable/particles
execute as @s[type=chicken,nbt={IsChickenJockey:1b},tag=!mobtweaks.jockey] at @s run function mobtweaks:jockey/summon/main
execute as @s[type=chicken,nbt=!{IsChickenJockey:1b},nbt=!{variant:"minecraft:warm"},nbt=!{variant:"minecraft:cold"},nbt=!{variant:"minecraft:temperate"},predicate=!mobtweaks:state/is_baby] at @s run function mobtweaks:behavior/chicken_lay
execute as @s[type=sheep,tag=!mobtweaks.used] at @s run function mobtweaks:spawn/mob/sheep
execute as @s[type=pig,tag=!mobtweaks.used] at @s run function mobtweaks:spawn/mob/black_wolf/start

###Ravager
effect give @s[type=ravager,predicate=!mobtweaks:effect/water_breathing] water_breathing infinite 0 true

##Axolotl
execute as @s[type=axolotl,tag=!mobtweaks.used.baby] at @s run function mobtweaks:behavior/axolotl/1s

##Undead Horses
execute as @s[type=#mobtweaks:undead_horses] at @s run function mobtweaks:behavior/undead_horses

###Jockeys
execute as @s[type=#mobtweaks:passengers/main,predicate=mobtweaks:no_vehicles,predicate=mobtweaks:random/0.1] at @s if entity @n[type=#mobtweaks:vehicles,distance=..2,predicate=mobtweaks:no_passengers] run function mobtweaks:jockey/mount/main

execute as @s[type=#mobtweaks:sound,type=!creeper,tag=mobtweaks.sound,predicate=!mobtweaks:state/hurt] at @s run function mobtweaks:sound/idle/main