scoreboard players reset @s mobtweaks.resources.changelogs.1.1
tellraw @s [{"text":"'Mob Tweaks' - v1.1 changelog","color":"dark_purple","bold":true}]
tellraw @s [{"text":""}]

#,{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":""}]}}}

tellraw @s [{"text":"Additions:","bold":true,"color":"light_purple"}]

tellraw @s [{"color":"yellow","text":"Added 'in_cave' criteria to check if an entity is underground"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"the 'in_cave' criteria is either:"},{"color":"dark_aqua","text":"\n• being at Y=-64-62"},{"color":"aqua","text":"\n• being in a 'cave_air' block"},{"color":"dark_aqua","text":"\n• being in a Mineshaft/Stronghold/Trial Chamber/Ancient City"},{"color":"aqua","text":"\n• being in a (Lush/Dripstone) Cave/(Deep Dark) biome"}]}}}]
tellraw @s [{"color":"gold","text":"Turtles now apply 10 seconds of Water Breathing to Players"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"5 block radius"},{"color":"dark_aqua","text":"\nboth entities must be in Water source blocks"}]}}}]
tellraw @s [{"color":"yellow","text":"Wandering Traders struck by lightning will now convert to Illusioners"}]
tellraw @s [{"color":"gold","text":"Zombies/Skeletons/Bogged/(Cave) Spiders/Creepers can now spawn with an infinite 1.21 effect in certain locations"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"10% chance"},{"color":"dark_aqua","text":"\n• Weaving - Mineshaft"},{"color":"aqua","text":"\n• Infested - Stronghold/mountain biome caves (must meet the 'in_cave' spawning criteria while in a mountain biome)"},{"color":"dark_aqua","text":"\n• Oozing - (Mangrove) Swamp"}]}}}]
tellraw @s [{"color":"yellow","text":"Added Sad Ghastlings"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"10% of Ghasts"},{"color":"dark_aqua","text":"\n• drop 0-1 Ghast Tears without Looting"},{"color":"aqua","text":"\n• (max) health - from 10 to 2.5"},{"color":"dark_aqua","text":"\n• follow range - from 90 to 80"},{"color":"aqua","text":"\n• shoot Small (Blaze) Fireballs"}]}}}]
tellraw @s [{"color":"gold","text":"Added baby Creepers"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"5% of Creepers"},{"color":"dark_aqua","text":"\n• drop 0-1 Gunpower without Looting instead of 0-2"},{"color":"aqua","text":"\n• (max) health - from 20 to 5"},{"color":"dark_aqua","text":"\n• explosion radius - from 3 to 1"},{"color":"aqua","text":"\n• movement speed - from 0.25 to 0.35"}]}}}]
tellraw @s [{"color":"yellow","text":"Added baby Spiders"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"10% of Spiders without passengers"},{"color":"dark_aqua","text":"\n• don't drop String"},{"color":"aqua","text":"\n• (max) health - from 16 to 4"},{"color":"dark_aqua","text":"\n• follow range - from 16 to 8"},{"color":"aqua","text":"\n• attack damage - from 2 to 0.5"},{"color":"dark_aqua","text":"\n• movement speed - from 0.3 to 0.5"},{"color":"aqua","text":"\n• step height - from 1.2 to 0.3"}]}}}]
tellraw @s [{"color":"gold","text":"Added baby Bogged/Strays/(Wither) Skeletons"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"10% of spawns that aren't Horsemen"},{"color":"dark_aqua","text":"\n• drop Bone Meal instead of Bones & no Arrows"},{"color":"aqua","text":"\n• spawn with (Tipped) Arrows/Sticks instead of Bows/Stone Swords"},{"color":"dark_aqua","text":"\n• (max) health - from 20 to 5/from 16 to 4"},{"color":"aqua","text":"\n• movement speed - from 0.25 to 0.28"}]}}}]
tellraw @s [{"color":"yellow","text":"Added 'adult' Phantoms"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"90% of Phantoms"},{"color":"dark_aqua","text":"\n• deal 5.5 hearts of damage"},{"color":"aqua","text":"\n• drop 0-1 Bones without Looting on top of the Phantom Membrane drop"}]}}}]
tellraw @s [{"color":"gold","text":"Some adult hostile mobs can now drop additional items"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"same chance as Gold Ingots from Ziglins"},{"color":"dark_aqua","text":"\nmust be killed by a Player"},{"color":"aqua","text":"\n• Creeper - TNT"},{"color":"dark_aqua","text":"\n• Spider - Cobweb"},{"color":"aqua","text":"\n• Husk - Sand"},{"color":"dark_aqua","text":"\n• Stray - Ice"},{"color":"aqua","text":"\n• Bogged - Vine"},{"color":"dark_aqua","text":"\n• Ghast - Fire Charge"},{"color":"aqua","text":"\n• Phantom - Rotten Flesh"}]}}}]
tellraw @s [{"color":"yellow","text":"Added new Spider jockeys"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"spawn from the vehicle mob"},{"color":"dark_aqua","text":"\n• 10% chance for baby Spiders"},{"color":"aqua","text":"\n• 5% chance for Cave Spiders if meeting 'in_cave' criteria/Creepers if not meeting 'in_cave' criteria"}]}}}]
tellraw @s [{"color":"gold","text":"Added Cave Spider & Blaze jockeys"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"10% chance"},{"color":"dark_aqua","text":"\nspawn from the vehicle mob"},{"color":"aqua","text":"\n• Cave Spider - baby Spider"},{"color":"dark_aqua","text":"\n• Blaze - Skeleton"}]}}}]
tellraw @s [{"color":"yellow","text":"Some mobs without vehicles can now mount certain nearby mobs without passengers"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"10% chance every second"},{"color":"dark_aqua","text":"\n2-block radius"},{"color":"aqua","text":"\n• Creeper -> adult Spider"},{"color":"dark_aqua","text":"\n• baby Creeper -> Cave Spider"},{"color":"aqua","text":"\n• baby Spider -> (adult/Cave) Spider"},{"color":"dark_aqua","text":"\n• Skeleton/Bogged/Stray -> adult Spider/Pig/Sheep/Cow/Skeleton Horse"},{"color":"aqua","text":"\n• baby Skeleton/Bogged/Stray -> Cave Spider/baby Skeleton Horse"},{"color":"dark_aqua","text":"\n• (Wither) Skeleton/Piglin (Brute) -> adult Hoglin"},{"color":"aqua","text":"\n• Stray/Skeleton -> adult Goat"},{"color":"dark_aqua","text":"\n• Stray -> adult Polar Bear"},{"color":"aqua","text":"\n• Skeleton -> Blaze"},{"color":"dark_aqua","text":"\n• Drowned -> adult (Turtle/Skeleton Horse)"},{"color":"aqua","text":"\n• baby Drowned -> baby Skeleton Horse/large Salmon"},{"color":"dark_aqua","text":"\n• Zombie (Villager)/Husk -> adult Spider/Zombie Horse/Cow/Sheep/Pig"},{"color":"aqua","text":"\n• baby Zombie (Villager)/Husk/Drowned -> adult Zombie (Villager)/Husk/Drowned"},{"color":"dark_aqua","text":"\n• baby Zombie (Villager)/Husk -> Cave Spider/adult Chicken/baby Zombie Horse"},{"color":"aqua","text":"\n• Evoker/Pillager/Illusioner/Witch/Vindicator -> Ravager"}]}}}]
tellraw @s [{"color":"gold","text":"Added 6 new Pig variants from 'Minecraft: Earth'"},{"text":" (!) ","color":"red","bold":true,"hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"red","text":"ATTENTION! This doesn't affect where Pigs can spawn"},{"color":"dark_aqua","text":"\nthe textures were adjusted to work in Minecraft"},{"color":"aqua","text":"\n• Pink Footed - Old Growth Taigas, Taiga Village"},{"color":"dark_aqua","text":"\n• Pale - Windswept (Gravelly) (Hills/Forest), Pale Garden, Meadow, Stony Peaks"},{"color":"aqua","text":"\n• Mottled - Savanna biomes"},{"color":"dark_aqua","text":"\n• Piebald - Badlands biomes, Desert (Village), Warm Ocean, the Nether"},{"color":"aqua","text":"\n• Spotted - (Old Growth) Birch Forest, Plains Village"},{"color":"dark_aqua","text":"\n• Sooty - (Dark/Flower) Forest, Lush Caves"}]}}}]
tellraw @s [{"color":"yellow","text":"Added 9 new Сow variants from 'Minecraft: Earth'"},{"text":" (!) ","color":"red","bold":true,"hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"red","text":"ATTENTION! This doesn't affect where Cows can spawn"},{"color":"dark_aqua","text":"\nthe textures were adjusted to work in Minecraft"},{"color":"aqua","text":"\n• Sunset - Jungle biomes, Mangrove Swamp, (Deep) Lukewarm Ocean"},{"color":"dark_aqua","text":"\n• Dairy - (Old Growth) Birch Forest, Plains Village"},{"color":"aqua","text":"\n• Umbra - (Dark/Flower) Forest, Lush Caves"},{"color":"dark_aqua","text":"\n• Pinto - Badlands biomes, Desert (Village), Warm Ocean, the Nether"},{"color":"aqua","text":"\n• Cream - Savanna Village"},{"color":"dark_aqua","text":"\n• Wooly - (Snowy) Taiga, Grove"},{"color":"aqua","text":"\n• Ashen - the End, Deep Dark, (Deep) Frozen (Ocean/River/Peaks), Snowy (Plains/Beach/Slopes/Village), Jagged Peaks, Ice Spikes"},{"color":"dark_aqua","text":"\n• Cookie - everywhere where other variants aren't"},{"color":"aqua","text":"\n• Albino - 5% of Cookie/Dairy/Temperate Cows, Pale Garden"}]}}}]
tellraw @s [{"color":"gold","text":"Added 6 new Chicken variants from 'Minecraft: Earth'"},{"text":" (!) ","color":"red","bold":true,"hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"red","text":"ATTENTION! This doesn't affect where Chickens can spawn"},{"color":"dark_aqua","text":"\nthe textures were adjusted to work in Minecraft"},{"color":"aqua","text":"\n• Skewbald - Old Growth Taigas, Taiga Village"},{"color":"dark_aqua","text":"\n• Bronzed - Windswept (Gravelly) (Hills/Forest), Meadow, Stony Peaks"},{"color":"aqua","text":"\n• Gold Crested - Savanna biomes"},{"color":"dark_aqua","text":"\n• Amber - Jungle biomes, Mangrove Swamp, (Deep) Lukewarm Ocean"},{"color":"aqua","text":"\n• Stormy - (Old Growth) Birch Forest, Plains Village"},{"color":"dark_aqua","text":"\n• Midnight - (Dark/Flower) Forest, Lush Caves"}]}}}]
tellraw @s [{"color":"yellow","text":"Added 6 new Eggs"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"• Skewbald - Beige"},{"color":"dark_aqua","text":"\n• Bronzed - Purple"},{"color":"aqua","text":"\n• Gold Crested - Yellow"},{"color":"dark_aqua","text":"\n• Amber - Red"},{"color":"aqua","text":"\n• Stormy - Gray"},{"color":"dark_aqua","text":"\n• Midnight - Black"}]}}}]
tellraw @s [{"color":"gold","text":"Undead Horses can now be equipped with Horse Armor"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"it doesn't render the armor at the moment, but I will look into it"}]}}}]
tellraw @s [{"color":"yellow","text":"Horse Armor now protects Undead Horses from sunlight"}]
tellraw @s [{"text":""}]

tellraw @s [{"text":"Changes:","bold":true,"color":"light_purple"}]

tellraw @s [{"color":"yellow","text":"Updated to 1.21.5"}]
tellraw @s [{"color":"gold","text":"Vanilla Phantoms have been reclassified into babies & nerfed"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"10% of Phantoms"},{"color":"dark_aqua","text":"\n• (max health) - from 20 to 5"},{"color":"aqua","text":"\n• same size & sounds as vanilla Phantoms"}]}}}]
tellraw @s [{"color":"yellow","text":"Buffed Spider step height from 0.6 to 1.2"}]
tellraw @s [{"color":"gold","text":"Buffed Ravager step height from 1 to 1.5"}]
tellraw @s [{"color":"yellow","text":"Nerfed Blazes"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"• follow range - from 48 to 40"},{"color":"dark_aqua","text":"\n• attack damage - from 6 to 4"}]}}}]
tellraw @s [{"color":"gold","text":"Nerfed Ghast follow range from 100 to 90"}]
tellraw @s [{"color":"yellow","text":"Nerfed Cave Spiders"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"• step height - from 0.6 to 0.3"},{"color":"dark_aqua","text":"\n• (max) health - from 12 to 6"},{"color":"aqua","text":"\n• movement speed - from 0.3 to 0.2"},{"color":"dark_aqua","text":"\n• attack damage - from 2 to 1"}]}}}]
tellraw @s [{"color":"gold","text":"Nerfed Strays"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"• (max) health - from 20 to 16"},{"color":"dark_aqua","text":"\n• movement speed - from 0.25 to 0.22"},{"color":"aqua","text":"\n• burning time - from 1 to 2"},{"color":"dark_aqua","text":"\n• follow range - from 16 to 12"}]}}}]
tellraw @s [{"color":"yellow","text":"Nerfed Husks"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"• armor - from 2 to 1"},{"color":"dark_aqua","text":"\n• movement speed - from 0.23 to 0.2"},{"color":"aqua","text":"\n• attack damage - from 3 to 2"}]}}}]
tellraw @s [{"color":"gold","text":"Baby Camels no longer replace 5% of adult Gold (Desert) Rabbits"}]
tellraw @s [{"color":"yellow","text":"Skeletons are now replaced with Pillagers in Mansions"}]
tellraw @s [{"color":"gold","text":"Endermen are now replaced with Slimes during rain & Breezes during thunderstorms"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"• the Endermen must spawn in the Overworld under skylight in order to get replaced"},{"color":"dark_aqua","text":"\n• the slimes are size 0 (small)"},{"color":"aqua","text":"\n• doesn't work in Desert/Badlands/Savanna biomes"}]}}}]
tellraw @s [{"color":"yellow","text":"Chickens in Zombie Jockeys are now replaced with Cave Spiders if they spawn underground (meet 'in_cave' criteria)"}]
tellraw @s [{"color":"gold","text":"Chickens in Drowned Jockeys are now replaced with large Salmon"}]
tellraw @s [{"color":"yellow","text":"Chestnut Wolves now spawn in both Old Growth Taigas"}]
tellraw @s [{"color":"gold","text":"Black Wolves now spawn in Dark Forests"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"• 13.89% of Pigs in the biome will be replaced by them"},{"color":"dark_aqua","text":"\n• 10% of the Wolves will spawn as babies"}]}}}]
tellraw @s [{"color":"yellow","text":"Changed Temperate Pig locations"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"they can no longer be found in ((Old Growth) Birch/Flower/Dark) Forests & (Plains/Taiga/Snowy) Villages"}]}}}]
tellraw @s [{"color":"gold","text":"Changed Warm Pig locations"},{"text":" (!) ","color":"red","bold":true,"hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"red","text":"ATTENTION! This doesn't affect where Pigs spawn"},{"color":"dark_aqua","text":"\nJungle biomes, Mangrove Swamp, (Deep) Lukewarm Ocean"}]}}}]
tellraw @s [{"color":"yellow","text":"Changed Cold Pig locations"},{"text":" (!) ","color":"red","bold":true,"hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"red","text":"ATTENTION! This doesn't affect where Pigs spawn"},{"color":"dark_aqua","text":"\n(Snowy) Taigas, the End, Deep Dark, (Deep) Frozen Ocean/River/Peaks, Grove, Snowy (Plains/Beach/Slopes/Village), Jagged Peaks, Ice Spikes"}]}}}]
tellraw @s [{"color":"gold","text":"Changed Temperate Cow locations"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"now they spawn only in Old Growth Taigas & Taiga Villages"}]}}}]
tellraw @s [{"color":"yellow","text":"Warm Cows will now spawn only in Savanna biomes"}]
tellraw @s [{"color":"gold","text":"Changed Cold Cow locations"},{"text":" (!) ","color":"red","bold":true,"hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"red","text":"ATTENTION! This doesn't affect where Cows spawn"},{"color":"dark_aqua","text":"\nWindswept (Gravelly) (Hills/Forest), Meadow, Stony Peaks"}]}}}]
tellraw @s [{"color":"yellow","text":"Changed Temperate Chicken locations"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"they can no longer be found in ((Old Growth) Birch/Flower/Dark) Forests & (Plains/Taiga/Snowy) Villages"}]}}}]
tellraw @s [{"color":"gold","text":"Changed Warm Chicken locations"},{"text":" (!) ","color":"red","bold":true,"hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"red","text":"ATTENTION! This doesn't affect where Chickens spawn"},{"color":"dark_aqua","text":"\nBadlands biomes, Desert (Village), Warm Ocean, the Nether"}]}}}]
tellraw @s [{"color":"yellow","text":"Changed Cold Chicken locations"},{"text":" (!) ","color":"red","bold":true,"hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"red","text":"ATTENTION! This doesn't affect where Chickens spawn"},{"color":"dark_aqua","text":"\n(Snowy) Taigas, the End, Deep Dark, (Deep) Frozen Ocean/River/Peaks, Grove, Snowy (Plains/Beach/Slopes/Village), Jagged Peaks, Ice Spikes"}]}}}]
tellraw @s [{"color":"gold","text":"Adult Sheep are now different colors in some biomes"},{"text":" * ","color":"aqua","hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"aqua","text":"Same biomes as the Warm/Cold variants in vanilla"},{"color":"dark_aqua","text":"\n• Temperate: Gray -> Green"},{"color":"aqua","text":"\n• Cold: Light Gray -> Cyan"},{"color":"dark_aqua","text":"\n• Warm: Gray -> Orange"}]}}}]
tellraw @s [{"text":""}]

tellraw @s [{"text":"Fixes:","bold":true,"color":"light_purple"}]

tellraw @s [{"color":"yellow","text":"Saddles taken off of Striders/Pigs now maintain their components"}]
tellraw @s [{"color":"gold","text":"Fixed a typo in the v1.0 changelog"}]
tellraw @s [{"color":"yellow","text":"Fixed baby Ziglins having too much health when converted from Piglins"}]
tellraw @s [{"text":""}]

tellraw @s [{"text":"Known issues:","bold":true,"color":"light_purple"}]
tellraw @s [{"color":"yellow","text":"Horse Armor doesn't display on Undead Horses"}]
###tellraw @s [{"color":"gold","text":""}]
tellraw @s [{"text":""}]

tellraw @s [{"text":"Secret features are not mentioned in the changelog","color":"dark_purple","bold":true},{"bold":false,"text":"*","color":"white","click_event":{"action":"run_command",command:"/trigger mobtweaks.resources"},"hover_event":{"action":"show_text","value":{"text":"","extra":[{"color":"gold","text":"click for links, credits and the changelog"}]}}}]