###Behavior
##Breedable
execute as @s[type=#mobtweaks:breedable/main,predicate=!mobtweaks:state/is_baby] at @s run function mobtweaks:behavior/breedable/main
#COW
execute as @s[type=cow,nbt={variant:"mobtweaks:dairy"},tag=!mobtweaks.used] at @s run function mobtweaks:spawn/mob/cow
execute as @s[type=cow,nbt={variant:"mobtweaks:cookie"},tag=!mobtweaks.used] at @s run function mobtweaks:spawn/mob/cow
execute as @s[type=cow,nbt={variant:"minecraft:temperate"},tag=!mobtweaks.used] at @s run function mobtweaks:spawn/mob/cow

##Piglins
tag @s[type=piglin_brute,tag=!mobtweaks.used.baby] add mobtweaks.used.baby
execute as @s[type=#mobtweaks:piglins,tag=mobtweaks.used.baby,nbt={TimeInOverworld:300}] run summon block_display ~ ~ ~ {Tags:["global.ignore","smithed.entity","mobtweaks","mobtweaks.piglin"]}

##Babies
data merge entity @s[type=zombie_villager,predicate=mobtweaks:state/is_baby,tag=mobtweaks.used.baby,nbt={ConversionTime:1}] {Health:20.0f,attributes:[{id:"max_health",base:20}]}
data merge entity @s[type=hoglin,predicate=mobtweaks:state/is_baby,tag=mobtweaks.used.baby,nbt={Age:-1}] {Health:40.0f,attributes:[{id:"max_health",base:40}]}
data merge entity @s[type=stray,tag=mobtweaks.baby,nbt=!{attributes:[{id:"scale",base:0.6d}]}] {Silent:1,Health:4,attributes:[{id:max_health,base:4},{id:scale,base:0.6},{id:"movement_speed",base:0.28}],DeathLootTable:"mobtweaks:entities/baby_skeleton",Tags:["mobtweaks.sound","mobtweaks.attribute","mobtweaks.baby"]}

#####data modify entity @s[type=zombified_piglin,predicate=mobtweaks:state/is_baby] AngryAt set from entity @p[gamemode=!creative,gamemode=!spectator,distance=..25] UUID

##Witch
execute as @s[type=witch,predicate=mobtweaks:effect/poison,predicate=!mobtweaks:state/no_ai] at @s run function mobtweaks:behavior/witch/honey/main

##Axolotl
execute as @s[type=axolotl] at @s run function mobtweaks:behavior/axolotl/main

##Wandering Trader
execute as @s[type=wandering_trader] at @s if entity @e[type=lightning_bolt,limit=1,distance=..6] run function mobtweaks:behavior/wandering_trader

###Baby Ghast
execute as @s[type=fireball,tag=!mobtweaks.baby] on origin at @s[type=ghast,tag=mobtweaks.baby] run function mobtweaks:behavior/baby_ghast

###Jockey vehicles
#execute as @s[type=cave_spider,nbt={Air:-19s},predicate=!mobtweaks:no_passengers,tag=!mobtweaks.jockey,predicate=mobtweaks:random/0.4] run function mobtweaks:behavior/vehicle

###Sound
#General
execute as @s[type=#mobtweaks:sound,tag=mobtweaks.sound] at @s run function mobtweaks:sound/main
execute at @s[type=block_display,tag=mobtweaks.sound] unless entity @n[type=#mobtweaks:sound,distance=..2,tag=mobtweaks.sound,predicate=!mobtweaks:no_passengers] run function mobtweaks:sound/death
#Spider
execute as @s[type=item,nbt={Item:{components:{"minecraft:lore":["mobtweaks.baby_spider"]}}}] at @s run function mobtweaks:sound/death/spider
#ride @s[type=spider,tag=mobtweaks.sound.spider] mount @n[type=spider,distance=..2,tag=mobtweaks.baby,predicate=mobtweaks:no_passengers]

##Trial Spawner CanPickUpLoot fix
execute at @s[type=#mobtweaks:trial_chamber_undead,nbt={CanPickUpLoot:1b}] store success score mobtweaks.spawner_detection mobtweaks.in_love run clone ~-5 ~-5 ~-5 ~5 ~5 ~5 ~-5 ~-5 ~-5 filtered trial_spawner force
execute as @s[type=#mobtweaks:trial_chamber_undead,nbt={CanPickUpLoot:1b}] if score mobtweaks.spawner_detection mobtweaks.in_love matches 1 run data modify entity @s CanPickUpLoot set value 0b